Index: data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- data/trunk/worlds/single_player_proto_world_01.map	(revision 3886)
+++ data/trunk/worlds/single_player_proto_world_01.map	(revision 3887)
@@ -213,5 +213,5 @@
 ( 528 280 9 ) ( 528 64 9 ) ( 448 280 9 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 600 469 9 ) ( 520 469 9 ) ( 600 469 1 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
-( 568 272 9 ) ( 568 272 1 ) ( 568 56 9 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 656 269 9 ) ( 656 269 1 ) ( 656 53 9 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 448 64 1 ) ( 528 64 1 ) ( 448 280 1 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 424 -376 1 ) ( 424 -376 9 ) ( 504 -376 1 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
@@ -220,9 +220,9 @@
 // brush 23
 {
-( 527 704 110 ) ( 527 -88 110 ) ( 519 704 110 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 527 704 121 ) ( 527 -88 121 ) ( 519 704 121 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
 ( 528 680 97 ) ( 520 680 97 ) ( 528 680 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 528 712 97 ) ( 528 712 9 ) ( 528 -80 97 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 520 -77 -24 ) ( 528 -77 -24 ) ( 520 715 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 568 -376 9 ) ( 568 -376 97 ) ( 576 -376 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 562.5 -304 9 ) ( 562.5 -304 97 ) ( 570.5 -304 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 519 -88 22 ) ( 519 704 22 ) ( 519 -88 110 ) base_wall/basewall03 0 78.393951416 0 0.3000000119 0.3300000131 0 0 0
 }
@@ -238,5 +238,5 @@
 // brush 25
 {
-( 455 128 110 ) ( 455 -72 110 ) ( 447 128 110 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 456 128 121 ) ( 456 -72 121 ) ( 448 128 121 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
 ( 456 128 97 ) ( 448 128 97 ) ( 456 128 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 456 128 97 ) ( 456 128 9 ) ( 456 -72 97 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -2040,5 +2040,5 @@
 ( 448 232 129 ) ( 288 232 129 ) ( 448 232 41 ) base_wall/basewall04 0 66 0 0.5 0.5 0 0 0
 ( 448 232 129 ) ( 448 232 41 ) ( 448 88 129 ) base_wall/basewall04 0 66 0 0.5 0.5 0 0 0
-( 296 88 121 ) ( 456 88 121 ) ( 296 232 121 ) base_wall/basewall04 22 18 0 0.3000000119 0.3000000119 0 0 0
+( 296 88 121 ) ( 456 88 121 ) ( 296 232 121 ) base_wall/basewall04 18 13 0 0.3000000119 0.3000000119 0 0 0
 ( 288 88 41 ) ( 288 88 129 ) ( 448 88 41 ) base_wall/basewall04 0 66 0 0.5 0.5 0 0 0
 ( 288 88 41 ) ( 288 232 41 ) ( 288 88 129 ) base_wall/basewall04 0 66 0 0.5 0.5 0 0 0
@@ -5033,10 +5033,10 @@
 // brush 538
 {
-( 560 880.5 121 ) ( 560 631 121 ) ( 428 880.5 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 560 884 121 ) ( 428 884 121 ) ( 560 884 110 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 560 880.5 121 ) ( 560 880.5 110 ) ( 560 631 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 428 631 110 ) ( 560 631 110 ) ( 428 880.5 110 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 460.5 -375 110 ) ( 460.5 -375 121 ) ( 592.5 -375 110 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 448 629.5 110 ) ( 448 879 110 ) ( 448 629.5 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 560 880.5 132 ) ( 560 631 132 ) ( 428 880.5 132 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 560 884 132 ) ( 428 884 132 ) ( 560 884 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 656 879.5 132 ) ( 656 879.5 121 ) ( 656 630 132 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 428 631 121 ) ( 560 631 121 ) ( 428 880.5 121 ) base_wall/basewall04 -90 13 0 0.3000000119 0.3000000119 0 0 0
+( 460.5 -376 121 ) ( 460.5 -376 132 ) ( 592.5 -376 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 448 629.5 121 ) ( 448 879 121 ) ( 448 629.5 132 ) base_wall/basewall04 47 13 -90 0.3000000119 0.3000000119 0 0 0
 }
 // brush 539
@@ -5890,41 +5890,41 @@
 // brush 631
 {
-( 153.2583007812 435 69.1206207275 ) ( 153.2583007812 434.5 69.1206207275 ) ( 152.9282531738 435 69.4962158203 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 153.2583007812 442.5 69.6206207275 ) ( 152.9282531738 442.5 69.9962158203 ) ( 142.7418823242 442.5 60.3791503906 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 153.2583007812 435 69.1206207275 ) ( 142.7418823242 435 59.8791503906 ) ( 153.2583007812 434.5 69.1206207275 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 142.411819458 434.5 60.2547302246 ) ( 142.7418823242 434.5 59.8791503906 ) ( 142.411819458 435 60.2547302246 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 142.411819458 426.5 61.7547302246 ) ( 152.9282531738 426.5 70.9962158203 ) ( 142.7418823242 426.5 61.3791503906 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 142.411819458 434.5 60.2547302246 ) ( 142.411819458 435 60.2547302246 ) ( 152.9282531738 434.5 69.4962158203 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 168.7583007812 403 65.6206207275 ) ( 168.7583007812 402.5 65.6206207275 ) ( 168.4282531738 403 65.9962158203 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 168.7583007812 411 66.1206207275 ) ( 168.4282531738 411 66.4962158203 ) ( 158.2418823242 411 56.8791503906 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 168.7583007812 403 65.6206207275 ) ( 158.2418823242 403 56.3791503906 ) ( 168.7583007812 402.5 65.6206207275 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 157.911819458 402.5 56.7547302246 ) ( 158.2418823242 402.5 56.3791503906 ) ( 157.911819458 403 56.7547302246 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 157.911819458 394 58.2547302246 ) ( 168.4282531738 394 67.4962158203 ) ( 158.2418823242 394 57.8791503906 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 157.911819458 402.5 56.7547302246 ) ( 157.911819458 403 56.7547302246 ) ( 168.4282531738 402.5 65.9962158203 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 632
 {
-( 162.2684173584 435 58.8751525879 ) ( 162.2684173584 434.5 58.8751525879 ) ( 162.6344604492 435 59.2157592773 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 162.7682189941 442.5 58.8893890381 ) ( 163.134262085 442.5 59.2300109863 ) ( 153.2309112549 442.5 69.1383056641 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 162.2684173584 435 58.8751525879 ) ( 152.7311096191 435 69.1240539551 ) ( 162.2684173584 434.5 58.8751525879 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 153.0971374512 434.5 69.4646911621 ) ( 152.7311096191 434.5 69.1240539551 ) ( 153.0971374512 435 69.4646911621 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 154.5965270996 426.5 69.5074157715 ) ( 164.1338500977 426.5 59.2584991455 ) ( 154.2305145264 426.5 69.1667785645 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 153.0971374512 434.5 69.4646911621 ) ( 153.0971374512 435 69.4646911621 ) ( 162.6344604492 434.5 59.2157592773 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 177.7684173584 403 55.3751525879 ) ( 177.7684173584 402.5 55.3751525879 ) ( 178.1344604492 403 55.7157592773 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 178.2682189941 411 55.3893890381 ) ( 178.634262085 411 55.7300109863 ) ( 168.7309112549 411 65.6383056641 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 177.7684173584 403 55.3751525879 ) ( 168.2311096191 403 65.6240539551 ) ( 177.7684173584 402.5 55.3751525879 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 168.5971374512 402.5 65.9646911621 ) ( 168.2311096191 402.5 65.6240539551 ) ( 168.5971374512 403 65.9646911621 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 170.0965270996 394 66.0074157715 ) ( 179.6338500977 394 55.7584991455 ) ( 169.7305145264 394 65.6667785645 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 168.5971374512 402.5 65.9646911621 ) ( 168.5971374512 403 65.9646911621 ) ( 178.1344604492 402.5 55.7157592773 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 633
 {
-( 162.5 443 69.5 ) ( 162.5 427 69.5 ) ( 146.5 443 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 164 427 72 ) ( 148 427 72 ) ( 164 427 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 162 442.5 72 ) ( 162 442.5 60 ) ( 162 426.5 72 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 146 426.5 60 ) ( 162 426.5 60 ) ( 146 442.5 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 146 426.5 60 ) ( 146 426.5 72 ) ( 162 426.5 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 142.5 426.5 61 ) ( 142.5 442.5 61 ) ( 142.5 426.5 73 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 142.5 96 61 ) ( 152.5 96 69.5 ) ( 142.5 -32 61 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 153.5 96 69.5 ) ( 162 96 60.5 ) ( 153.5 -32 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 178 410 66 ) ( 178 394 66 ) ( 162 410 66 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 179.5 394 68.5 ) ( 163.5 394 68.5 ) ( 179.5 394 56.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 177.5 409.5 68.5 ) ( 177.5 409.5 56.5 ) ( 177.5 393.5 68.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 161.5 393.5 56.5 ) ( 177.5 393.5 56.5 ) ( 161.5 409.5 56.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 161.5 393.5 56.5 ) ( 161.5 393.5 68.5 ) ( 177.5 393.5 56.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158 393.5 57.5 ) ( 158 409.5 57.5 ) ( 158 393.5 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158 63 57.5 ) ( 168 63 66 ) ( 158 -65 57.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 169 63 66 ) ( 177.5 63 57 ) ( 169 -65 66 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 634
 {
-( 162.5 458.5 69.5 ) ( 162.5 442.5 69.5 ) ( 146.5 458.5 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 164 442.5 72 ) ( 148 442.5 72 ) ( 164 442.5 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 162 458 72 ) ( 162 458 60 ) ( 162 442 72 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 146 442 60 ) ( 162 442 60 ) ( 146 458 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 146 442 60 ) ( 146 442 72 ) ( 162 442 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 142.5 442 61 ) ( 142.5 458 61 ) ( 142.5 442 73 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 142.5 111.5 61 ) ( 152.5 111.5 69.5 ) ( 142.5 -16.5 61 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 153.5 111.5 69.5 ) ( 162 111.5 60.5 ) ( 153.5 -16.5 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 178 427.5 66 ) ( 178 411.5 66 ) ( 162 427.5 66 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 179.5 411.5 68.5 ) ( 163.5 411.5 68.5 ) ( 179.5 411.5 56.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 177.5 427 68.5 ) ( 177.5 427 56.5 ) ( 177.5 411 68.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 161.5 411 56.5 ) ( 177.5 411 56.5 ) ( 161.5 427 56.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 161.5 411 56.5 ) ( 161.5 411 68.5 ) ( 177.5 411 56.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158 411 57.5 ) ( 158 427 57.5 ) ( 158 411 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158 80.5 57.5 ) ( 168 80.5 66 ) ( 158 -47.5 57.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 169 80.5 66 ) ( 177.5 80.5 57 ) ( 169 -47.5 66 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 635
@@ -5944,4 +5944,63 @@
 ( -64 408 121 ) ( -64 392 99 ) ( 64 408 121 ) base_wall/basewall04 0 76 0 0.3000000119 0.2199999988 0 0 0
 }
+// brush 637
+{
+( 552 -375 121 ) ( 352 -375 121 ) ( 552 -367 121 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 656 -376 88 ) ( 656 -368 88 ) ( 656 -376 0 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 960 -376 103 ) ( 960 -376 15 ) ( 760 -376 103 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 352 -368 9 ) ( 352 -376 9 ) ( 552 -368 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 456 -368 15 ) ( 456 -368 103 ) ( 456 -376 15 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 353 -368 15 ) ( 553 -368 15 ) ( 353 -368 103 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 638
+{
+( 625 -303 121 ) ( 425 -303 121 ) ( 625 -295 121 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 656 -303 88 ) ( 656 -295 88 ) ( 656 -303 0 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 1032 -304 103 ) ( 1032 -304 15 ) ( 832 -304 103 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 424 -296 9 ) ( 424 -304 9 ) ( 624 -296 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 528 -296 15 ) ( 528 -296 103 ) ( 528 -304 15 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 425 -296 15 ) ( 625 -296 15 ) ( 425 -296 103 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 639
+{
+( 648 -402 121 ) ( 648 -202 121 ) ( 656 -402 121 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 654 -368 88 ) ( 662 -368 88 ) ( 654 -368 0 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 648 -808 103 ) ( 648 -808 15 ) ( 648 -608 103 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 656 -200 9 ) ( 648 -200 9 ) ( 656 -400 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 656 -304 15 ) ( 656 -304 103 ) ( 648 -304 15 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 656 -201 15 ) ( 656 -401 15 ) ( 656 -201 103 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 640
+{
+( 464 -328 121 ) ( 456 -328 121 ) ( 464 -176 121 ) base_wall/basewall03 37.3333320618 -37.3332519531 -90 0.3000000119 -0.3000000119 0 0 0
+( 464 -368 121 ) ( 464 -368 117 ) ( 456 -368 121 ) base_wall/basewall03 37.3332519531 0 0 -0.3000000119 0.3000000119 0 0 0
+( 456 -176 117 ) ( 456 -176 121 ) ( 456 -328 117 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
+( 439 128 117 ) ( 447 128 117 ) ( 439 128 121 ) base_wall/basewall03 83.9998779297 0 0 -0.3000000119 0.3000000119 0 0 0
+( 472 -24 121 ) ( 456 -24 99 ) ( 472 -152 121 ) base_wall/basewall04 -48.6699981689 269 90 0.3000000119 -0.3000000119 0 0 0
+}
+// brush 641
+{
+( 464 232 121 ) ( 456 232 121 ) ( 464 384 121 ) base_wall/basewall03 37.3333320618 -37.3332519531 -90 0.3000000119 -0.3000000119 0 0 0
+( 464 192 121 ) ( 464 192 117 ) ( 456 192 121 ) base_wall/basewall03 37.3332519531 0 0 -0.3000000119 0.3000000119 0 0 0
+( 456 384 117 ) ( 456 384 121 ) ( 456 232 117 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
+( 440 680 117 ) ( 448 680 117 ) ( 440 680 121 ) base_wall/basewall03 83.9998779297 0 0 -0.3000000119 0.3000000119 0 0 0
+( 472 536 121 ) ( 456 536 99 ) ( 472 408 121 ) base_wall/basewall04 -48.6699981689 146.0000152588 90 0.3000000119 -0.3000000119 0 0 0
+}
+// brush 642
+{
+( 511 -176 121 ) ( 519 -328 121 ) ( 511 -328 121 ) base_wall/basewall03 37.3333320618 -37.3332519531 -90 0.3000000119 -0.3000000119 0 0 0
+( 519 -304 121 ) ( 511 -304 117 ) ( 511 -304 121 ) base_wall/basewall03 37.3332519531 0 0 -0.3000000119 0.3000000119 0 0 0
+( 519 -328 117 ) ( 519 -176 121 ) ( 519 -176 117 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
+( 534 680 121 ) ( 526 680 117 ) ( 534 680 117 ) base_wall/basewall03 83.9998779297 0 0 -0.3000000119 0.3000000119 0 0 0
+( 503 -152 121 ) ( 519 -24 99 ) ( 503 -24 121 ) base_wall/basewall04 -48.6699981689 269 90 0.3000000119 -0.3000000119 0 0 0
+}
+// brush 643
+{
+( -338 -360 121 ) ( -490 -368 121 ) ( -490 -360 121 ) base_wall/basewall03 37.3333320618 -37.3332519531 -90 0.3000000119 -0.3000000119 0 0 0
+( 456 -360 121 ) ( 456 -352 117 ) ( 456 -352 121 ) base_wall/basewall03 37.3332519531 0 0 -0.3000000119 0.3000000119 0 0 0
+( -490 -368 117 ) ( -338 -368 121 ) ( -338 -368 117 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
+( 648 -383 121 ) ( 648 -375 117 ) ( 648 -383 117 ) base_wall/basewall03 83.9998779297 0 0 -0.3000000119 0.3000000119 0 0 0
+( -314 -352 121 ) ( -186 -368 99 ) ( -186 -352 121 ) base_wall/basewall04 -48.6699981689 269 90 0.3000000119 -0.3000000119 0 0 0
+}
 }
 // entity 1
@@ -6135,5 +6194,5 @@
 {
 "classname" "light"
-"origin" "152.5 434.5 60.5"
+"origin" "168.5 402.5 56.5"
 "light" "100"
 "_sun" "0"