Index: data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- data/trunk/worlds/single_player_proto_world_01.map	(revision 3887)
+++ data/trunk/worlds/single_player_proto_world_01.map	(revision 3888)
@@ -183,5 +183,5 @@
 {
 ( 472 104 97 ) ( 472 88 97 ) ( 336 104 97 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 416 96 9 ) ( 280 96 9 ) ( 416 96 1 ) base_wall/basewall03 22 39 0 0.3000000119 0.3300000131 0 0 0
+( 416 96 9 ) ( 280 96 9 ) ( 416 96 1 ) base_wall/basewall03 19 39 0 0.3000000119 0.3300000131 0 0 0
 ( 416 104 17 ) ( 416 104 9 ) ( 416 88 17 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 320 88 9 ) ( 456 88 9 ) ( 320 104 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -5015,10 +5015,10 @@
 // brush 536
 {
-( 263.5 -161.5 9.5 ) ( 263.5 -204.5 9.5 ) ( 253.5 -161.5 9.5 ) base_floor/achtung_clang 2 -3 0 0.3000000119 0.3000000119 0 0 0
-( 279.5 197 10 ) ( 269.5 197 10 ) ( 279.5 197 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 304 -161.5 10 ) ( 304 -161.5 2 ) ( 304 -204.5 10 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 253.5 -204.5 2 ) ( 263.5 -204.5 2 ) ( 253.5 -161.5 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 262.5 123 2 ) ( 262.5 123 10 ) ( 272.5 123 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 267 -208.5 2 ) ( 267 -165.5 2 ) ( 267 -208.5 10 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 267.5 -161.5 9.5 ) ( 267.5 -204.5 9.5 ) ( 257.5 -161.5 9.5 ) base_floor/achtung_clang 2 -3 0 0.3000000119 0.3000000119 0 0 0
+( 283.5 197 10 ) ( 273.5 197 10 ) ( 283.5 197 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 308 -161.5 10 ) ( 308 -161.5 2 ) ( 308 -204.5 10 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 257.5 -204.5 2 ) ( 267.5 -204.5 2 ) ( 257.5 -161.5 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 266.5 123 2 ) ( 266.5 123 10 ) ( 276.5 123 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 271 -208.5 2 ) ( 271 -165.5 2 ) ( 271 -208.5 10 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 537
@@ -6003,4 +6003,148 @@
 ( -314 -352 121 ) ( -186 -368 99 ) ( -186 -352 121 ) base_wall/basewall04 -48.6699981689 269 90 0.3000000119 -0.3000000119 0 0 0
 }
+// brush 644
+{
+( 424.5 -162.5 9.5 ) ( 424.5 -205.5 9.5 ) ( 414.5 -162.5 9.5 ) base_floor/achtung_clang 2 -3 0 0.3000000119 0.3000000119 0 0 0
+( 440.5 196 10 ) ( 430.5 196 10 ) ( 440.5 196 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 465 -162.5 10 ) ( 465 -162.5 2 ) ( 465 -205.5 10 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 414.5 -205.5 2 ) ( 424.5 -205.5 2 ) ( 414.5 -162.5 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 423.5 123 2 ) ( 423.5 123 10 ) ( 433.5 123 2 ) base_floor/achtung_clang 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 428 -209.5 2 ) ( 428 -166.5 2 ) ( 428 -209.5 10 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+}
+// brush 645
+{
+( 385 120.5227203369 113.9544067383 ) ( 385 108.0367126465 122.266998291 ) ( 346 120.5227203369 113.9544067383 ) evil1_metals/mtl_rst 0 -99 0 0.1000000015 0.1000000015 0 0 0
+( 384 100.009185791 97.5777587891 ) ( 345 100.009185791 97.5777587891 ) ( 384 95.5757904053 90.918548584 ) evil1_grates/grt_rst1 0 109 0 0.1000000015 0.0850000009 0 0 0
+( 384 106.6683959961 93.1443634033 ) ( 384 102.2350006104 86.4851531982 ) ( 384 94.1823730469 101.4569702148 ) evil1_metals/mtl_rst 0 -99 0 0.1000000015 0.1000000015 0 0 0
+( 347 93.0740203857 99.7921600342 ) ( 386 93.0740203857 99.7921600342 ) ( 347 105.560043335 91.4795684814 ) evil1_metals/mtl_rst 0 -99 0 0.1000000015 0.1000000015 0 0 0
+( 347 82.2573699951 99.7853240967 ) ( 347 86.6907501221 106.4445343018 ) ( 386 82.2573699951 99.7853240967 ) evil1_grates/grt_rst1 0 -99 0 0.1000000015 0.1000000015 0 0 0
+( 358 88.9165802002 95.3519287109 ) ( 358 101.4026031494 87.0393371582 ) ( 358 93.3499755859 102.011138916 ) evil1_metals/mtl_rst 0 -99 0 0.1000000015 0.1000000015 0 0 0
+}
+// brush 646
+{
+( 403 98 14 ) ( 403 93 14 ) ( 322 98 14 ) evil4_lights/drkmtlsupport_light -65 50 -90 0.5 0.5 0 0 0
+( 403 98 14 ) ( 322 98 14 ) ( 403 98 -17 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 416 98 40 ) ( 416 98 9 ) ( 416 93 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 322 93 9 ) ( 403 93 9 ) ( 322 98 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 322 93 9 ) ( 322 93 40 ) ( 403 93 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 320 93 9 ) ( 320 98 9 ) ( 320 93 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 647
+{
+( 416 103 14 ) ( 416 98 14 ) ( 335 103 14 ) evil4_lights/drkmtlsupport_light -64 17 0 0.5 0.5 0 0 0
+( 416 116 14 ) ( 335 116 14 ) ( 416 116 -17 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 416 103 40 ) ( 416 103 9 ) ( 416 98 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 335 98 9 ) ( 416 98 9 ) ( 335 103 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 335 98 9 ) ( 335 98 40 ) ( 416 98 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 411 97 9 ) ( 411 102 9 ) ( 411 97 40 ) evil4_lights/drkmtlsupport_light -56 30 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 648
+{
+( 325 103 14 ) ( 325 98 14 ) ( 244 103 14 ) evil4_lights/drkmtlsupport_light -66 50 0 0.5 0.5 0 0 0
+( 325 116 14 ) ( 244 116 14 ) ( 325 116 -17 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 325 103 40 ) ( 325 103 9 ) ( 325 98 40 ) evil4_lights/drkmtlsupport_light -56 30 -90 0.1099999994 0.200000003 0 0 0
+( 244 98 9 ) ( 325 98 9 ) ( 244 103 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 244 98 9 ) ( 244 98 40 ) ( 325 98 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 320 97 9 ) ( 320 102 9 ) ( 320 97 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 649
+{
+( 416 121 14 ) ( 416 116 14 ) ( 335 121 14 ) evil4_lights/drkmtlsupport_light -104 0 -45 0.5 0.5 0 0 0
+( 416 133 14 ) ( 335 133 14 ) ( 416 133 -17 ) evil4_lights/drkmtlsupport_light -56 -24 -90 0.1099999994 0.1899999976 0 0 0
+( 428 120 40 ) ( 428 120 9 ) ( 428 115 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 335 116 9 ) ( 416 116 9 ) ( 335 121 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 335 116 9 ) ( 335 116 40 ) ( 416 116 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 411 115 9 ) ( 411 120 9 ) ( 411 115 40 ) evil4_lights/drkmtlsupport_light -56 30 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 650
+{
+( 511 133 14 ) ( 511 128 14 ) ( 430 133 14 ) evil4_lights/drkmtlsupport_light -64 50 -90 0.5 0.5 0 0 0
+( 511 133 14 ) ( 430 133 14 ) ( 511 133 -17 ) evil4_lights/drkmtlsupport_light -56 -24 -90 0.1099999994 0.1899999976 0 0 0
+( 456 134 40 ) ( 456 134 9 ) ( 456 129 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 430 128 9 ) ( 511 128 9 ) ( 430 133 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 430 128 9 ) ( 430 128 40 ) ( 511 128 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 428 128 9 ) ( 428 133 9 ) ( 428 128 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 651
+{
+( 313 121 14 ) ( 313 116 14 ) ( 232 121 14 ) evil4_lights/drkmtlsupport_light -42 117 45 0.5 0.5 0 0 0
+( 313 133 14 ) ( 232 133 14 ) ( 313 133 -17 ) evil4_lights/drkmtlsupport_light -56 -96 -90 0.1099999994 0.1899999976 0 0 0
+( 325 120 40 ) ( 325 120 9 ) ( 325 115 40 ) evil4_lights/drkmtlsupport_light -56 30 -90 0.1099999994 0.200000003 0 0 0
+( 232 116 9 ) ( 313 116 9 ) ( 232 121 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 232 116 9 ) ( 232 116 40 ) ( 313 116 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 308 115 9 ) ( 308 120 9 ) ( 308 115 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 652
+{
+( 363 133 14 ) ( 363 128 14 ) ( 282 133 14 ) evil4_lights/drkmtlsupport_light -63 31 -90 0.5 0.5 0 0 0
+( 363 133 14 ) ( 282 133 14 ) ( 363 133 -17 ) evil4_lights/drkmtlsupport_light -56 -96 -90 0.1099999994 0.1899999976 0 0 0
+( 308 134 40 ) ( 308 134 9 ) ( 308 129 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 282 128 9 ) ( 363 128 9 ) ( 282 133 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 282 128 9 ) ( 282 128 40 ) ( 363 128 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 296 128 9 ) ( 296 133 9 ) ( 296 128 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 653
+{
+( 322 222 14 ) ( 403 227 14 ) ( 403 222 14 ) evil4_lights/drkmtlsupport_light -65 50 -90 0.5 0.5 0 0 0
+( 403 222 -17 ) ( 322 222 14 ) ( 403 222 14 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 416 227 40 ) ( 416 222 9 ) ( 416 222 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 322 222 9 ) ( 403 227 9 ) ( 322 227 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 403 227 9 ) ( 322 227 40 ) ( 322 227 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 320 227 40 ) ( 320 222 9 ) ( 320 227 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 654
+{
+( 335 217 14 ) ( 416 222 14 ) ( 416 217 14 ) evil4_lights/drkmtlsupport_light -64 77 0 0.5 0.5 0 0 0
+( 416 204 -17 ) ( 335 204 14 ) ( 416 204 14 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 416 222 40 ) ( 416 217 9 ) ( 416 217 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 335 217 9 ) ( 416 222 9 ) ( 335 222 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 416 222 9 ) ( 335 222 40 ) ( 335 222 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 411 223 40 ) ( 411 218 9 ) ( 411 223 9 ) evil4_lights/drkmtlsupport_light -56 30 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 655
+{
+( 244 217 14 ) ( 325 222 14 ) ( 325 217 14 ) evil4_lights/drkmtlsupport_light -65 50 0 0.5 0.5 0 0 0
+( 325 204 -17 ) ( 244 204 14 ) ( 325 204 14 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 325 222 40 ) ( 325 217 9 ) ( 325 217 40 ) evil4_lights/drkmtlsupport_light -56 30 -90 0.1099999994 0.200000003 0 0 0
+( 244 217 9 ) ( 325 222 9 ) ( 244 222 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 325 222 9 ) ( 244 222 40 ) ( 244 222 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 320 223 40 ) ( 320 218 9 ) ( 320 223 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 656
+{
+( 335 199 14 ) ( 416 204 14 ) ( 416 199 14 ) evil4_lights/drkmtlsupport_light -84 63 -135 0.5 0.5 0 0 0
+( 416 187 -17 ) ( 335 187 14 ) ( 416 187 14 ) evil4_lights/drkmtlsupport_light -56 -24 -90 0.1099999994 0.1899999976 0 0 0
+( 428 205 40 ) ( 428 200 9 ) ( 428 200 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 335 199 9 ) ( 416 204 9 ) ( 335 204 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 416 204 9 ) ( 335 204 40 ) ( 335 204 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 411 205 40 ) ( 411 200 9 ) ( 411 205 9 ) evil4_lights/drkmtlsupport_light -56 30 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 657
+{
+( 430 187 14 ) ( 511 192 14 ) ( 511 187 14 ) evil4_lights/drkmtlsupport_light -65 50 -90 0.5 0.5 0 0 0
+( 511 187 -17 ) ( 430 187 14 ) ( 511 187 14 ) evil4_lights/drkmtlsupport_light -56 -24 -90 0.1099999994 0.1899999976 0 0 0
+( 456 191 40 ) ( 456 186 9 ) ( 456 186 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 430 187 9 ) ( 511 192 9 ) ( 430 192 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 511 192 9 ) ( 430 192 40 ) ( 430 192 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 428 192 40 ) ( 428 187 9 ) ( 428 192 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 658
+{
+( 232 199 14 ) ( 313 204 14 ) ( 313 199 14 ) evil4_lights/drkmtlsupport_light -37 85 -45 0.5 0.5 0 0 0
+( 313 187 -17 ) ( 232 187 14 ) ( 313 187 14 ) evil4_lights/drkmtlsupport_light -56 -96 -90 0.1099999994 0.1899999976 0 0 0
+( 325 205 40 ) ( 325 200 9 ) ( 325 200 40 ) evil4_lights/drkmtlsupport_light -56 30 -90 0.1099999994 0.200000003 0 0 0
+( 232 199 9 ) ( 313 204 9 ) ( 232 204 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 313 204 9 ) ( 232 204 40 ) ( 232 204 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 308 205 40 ) ( 308 200 9 ) ( 308 205 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
+// brush 659
+{
+( 282 187 14 ) ( 363 192 14 ) ( 363 187 14 ) evil4_lights/drkmtlsupport_light -65 50 -90 0.5 0.5 0 0 0
+( 363 187 -17 ) ( 282 187 14 ) ( 363 187 14 ) evil4_lights/drkmtlsupport_light -56 -96 -90 0.1099999994 0.1899999976 0 0 0
+( 308 191 40 ) ( 308 186 9 ) ( 308 186 40 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 282 187 9 ) ( 363 192 9 ) ( 282 192 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 363 192 9 ) ( 282 192 40 ) ( 282 192 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+( 296 192 40 ) ( 296 187 9 ) ( 296 192 9 ) evil4_lights/drkmtlsupport_light -56 51 -90 0.1099999994 0.200000003 0 0 0
+}
 }
 // entity 1