Index: data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- data/trunk/worlds/single_player_proto_world_01.map	(revision 3891)
+++ data/trunk/worlds/single_player_proto_world_01.map	(revision 3892)
@@ -2116,5 +2116,5 @@
 ( 289 197 99 ) ( 276 197 99 ) ( 289 197 77 ) base_wall/basewall02 -155.3333282471 -191 0 0.3000000119 0.3000000119 0 0 0
 ( 296 192 99 ) ( 296 192 77 ) ( 296 128 99 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
-( 274 128 83 ) ( 287 128 83 ) ( 274 192 83 ) base_wall/bluemetalsupport2f 15 -42 0 0.0799999982 0.0599999987 0 0 0
+( 274 128 83 ) ( 287 128 83 ) ( 274 192 83 ) base_trim/dirty_pewter_big 15 -42 0 0.0799999982 0.0599999987 0 0 0
 ( 275 123 77 ) ( 275 123 99 ) ( 288 123 77 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
 ( 275 128 77 ) ( 275 192 77 ) ( 275 128 99 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
@@ -2123,5 +2123,5 @@
 {
 ( 288 140 83 ) ( 288 132 83 ) ( 275 140 83 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
-( 296 136 79 ) ( 283 136 79 ) ( 296 136 56 ) base_wall/bluemetalsupport2f 15 -42 0 0.0799999982 0.0599999987 0 0 0
+( 296 136 79 ) ( 283 136 79 ) ( 296 136 56 ) base_trim/dirty_pewter_big 15 -42 0 0.0799999982 0.0599999987 0 0 0
 ( 296 136 32 ) ( 296 136 9 ) ( 296 128 32 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
 ( 275 128 9 ) ( 288 128 9 ) ( 275 136 9 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
@@ -2135,5 +2135,5 @@
 ( 296 192 32 ) ( 296 192 9 ) ( 296 184 32 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
 ( 275 184 9 ) ( 288 184 9 ) ( 275 192 9 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
-( 283 184 9 ) ( 283 184 32 ) ( 296 184 9 ) base_wall/bluemetalsupport2f 15 -42 0 0.0799999982 0.0599999987 0 0 0
+( 283 184 9 ) ( 283 184 32 ) ( 296 184 9 ) base_trim/dirty_pewter_big 15 -42 0 0.0799999982 0.0599999987 0 0 0
 ( 275 184 9 ) ( 275 192 9 ) ( 275 184 32 ) base_wall/basewall02 -152 -191 0 0.3000000119 0.3000000119 0 0 0
 }
@@ -6149,64 +6149,64 @@
 // brush 660
 {
-( 349 112 15 ) ( 349 91 15 ) ( 329 112 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 349 108 15 ) ( 329 108 15 ) ( 349 108 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 349 112 15 ) ( 349 112 14 ) ( 349 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 329 91 14 ) ( 349 91 14 ) ( 329 112 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 329 91 14 ) ( 329 91 15 ) ( 349 91 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 331 91 14 ) ( 331 112 14 ) ( 331 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 349 112 16 ) ( 349 91 16 ) ( 329 112 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 349 103 16 ) ( 329 103 16 ) ( 349 103 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 349 107 16 ) ( 349 107 15 ) ( 349 86 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 329 91 15 ) ( 349 91 15 ) ( 329 112 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 329 91 15 ) ( 329 91 16 ) ( 349 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 331 91 15 ) ( 331 112 15 ) ( 331 91 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 661
 {
-( 375 112 15 ) ( 375 91 15 ) ( 355 112 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 375 108 15 ) ( 355 108 15 ) ( 375 108 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 373 112 15 ) ( 373 112 14 ) ( 373 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 355 91 14 ) ( 375 91 14 ) ( 355 112 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 355 91 14 ) ( 355 91 15 ) ( 375 91 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 355 91 14 ) ( 355 112 14 ) ( 355 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 375 112 16 ) ( 375 91 16 ) ( 355 112 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 375 103 16 ) ( 355 103 16 ) ( 375 103 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 373 112 16 ) ( 373 112 15 ) ( 373 91 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 355 91 15 ) ( 375 91 15 ) ( 355 112 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 355 91 15 ) ( 355 91 16 ) ( 375 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 355 91 15 ) ( 355 112 15 ) ( 355 91 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 662
 {
-( 398 110 15 ) ( 398 89 15 ) ( 378 110 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 398 108 15 ) ( 378 108 15 ) ( 398 108 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 396 110 15 ) ( 396 110 14 ) ( 396 89 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 378 89 14 ) ( 398 89 14 ) ( 378 110 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 378 91 14 ) ( 378 91 15 ) ( 398 91 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 378 89 14 ) ( 378 110 14 ) ( 378 89 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 398 110 16 ) ( 398 89 16 ) ( 378 110 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 398 103 16 ) ( 378 103 16 ) ( 398 103 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 396 110 16 ) ( 396 110 15 ) ( 396 89 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 378 89 15 ) ( 398 89 15 ) ( 378 110 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 378 91 15 ) ( 378 91 16 ) ( 398 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 378 84 15 ) ( 378 105 15 ) ( 378 84 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 663
 {
-( 421 110 15 ) ( 421 89 15 ) ( 401 110 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 421 108 15 ) ( 401 108 15 ) ( 421 108 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 419 110 15 ) ( 419 110 14 ) ( 419 89 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 401 89 14 ) ( 421 89 14 ) ( 401 110 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 401 91 14 ) ( 401 91 15 ) ( 421 91 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 401 89 14 ) ( 401 110 14 ) ( 401 89 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 421 110 16 ) ( 421 89 16 ) ( 401 110 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 421 103 16 ) ( 401 103 16 ) ( 421 103 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 419 110 16 ) ( 419 110 15 ) ( 419 89 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 89 15 ) ( 421 89 15 ) ( 401 110 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 91 15 ) ( 401 91 16 ) ( 421 91 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 84 15 ) ( 401 105 15 ) ( 401 84 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 664
 {
-( 421 129 15 ) ( 421 108 15 ) ( 401 129 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 421 127 15 ) ( 401 127 15 ) ( 421 127 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 419 129 15 ) ( 419 129 14 ) ( 419 108 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 401 108 14 ) ( 421 108 14 ) ( 401 129 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 401 109 14 ) ( 401 109 15 ) ( 421 109 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 401 108 14 ) ( 401 129 14 ) ( 401 108 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 421 129 16 ) ( 421 108 16 ) ( 401 129 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 420 120 16 ) ( 400 120 16 ) ( 420 120 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 419 129 16 ) ( 419 129 15 ) ( 419 108 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 108 15 ) ( 421 108 15 ) ( 401 129 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 401 109 15 ) ( 401 109 16 ) ( 421 109 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 408 103 15 ) ( 408 124 15 ) ( 408 103 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 665
 {
-( 437 145 15 ) ( 437 124 15 ) ( 417 145 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 437 143 15 ) ( 417 143 15 ) ( 437 143 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 435 145 15 ) ( 435 145 14 ) ( 435 124 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 417 124 14 ) ( 437 124 14 ) ( 417 145 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 417 125 14 ) ( 417 125 15 ) ( 437 125 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 417 124 14 ) ( 417 145 14 ) ( 417 124 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 437 145 16 ) ( 437 124 16 ) ( 417 145 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 437 135 16 ) ( 417 135 16 ) ( 437 135 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 435 145 16 ) ( 435 145 15 ) ( 435 124 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 417 124 15 ) ( 437 124 15 ) ( 417 145 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 424 120 15 ) ( 424 120 16 ) ( 444 120 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 417 112 15 ) ( 417 133 15 ) ( 417 112 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 // brush 666
 {
-( 459 145 15 ) ( 459 124 15 ) ( 439 145 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 459 143 15 ) ( 439 143 15 ) ( 459 143 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 457 145 15 ) ( 457 145 14 ) ( 457 124 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 439 124 14 ) ( 459 124 14 ) ( 439 145 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 439 125 14 ) ( 439 125 15 ) ( 459 125 14 ) common/invisible 0 0 0 0.5 0.5 0 0 0
-( 439 124 14 ) ( 439 145 14 ) ( 439 124 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 459 145 16 ) ( 459 124 16 ) ( 439 145 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 460 135 16 ) ( 440 135 16 ) ( 460 135 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 457 145 16 ) ( 457 145 15 ) ( 457 124 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 439 124 15 ) ( 459 124 15 ) ( 439 145 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 439 120 15 ) ( 439 120 16 ) ( 459 120 15 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 439 119 15 ) ( 439 140 15 ) ( 439 119 16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 }
Index: data/trunk/worlds/sp_level_ambush_at_jupiter.oxw
===================================================================
--- data/trunk/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3891)
+++ data/trunk/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3892)
@@ -36,5 +36,5 @@
     <FPSPlayer>
       <name>Player</name>
-      <abs-coor>-148,34,87</abs-coor>
+      <abs-coor>-148,100,87</abs-coor>
       <model>models/creatures/droidika.md2, 12</model>
       <md2texture>droidika.png</md2texture>