Index: data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- data/trunk/worlds/single_player_proto_world_01.map	(revision 3930)
+++ data/trunk/worlds/single_player_proto_world_01.map	(revision 3931)
@@ -249,5 +249,5 @@
 ( 520 784 -24 ) ( 520 720 -24 ) ( 448 784 -24 ) base_floor/proto_grate4 -19 -6 0 0.3000000119 0.3000000119 0 0 0
 ( 520 840 64 ) ( 448 840 64 ) ( 520 840 -64 ) base_floor/proto_grate4 -21 0 0 0.3000000119 0.3000000119 0 0 0
-( 774 760 64 ) ( 774 760 -64 ) ( 774 696 64 ) base_floor/proto_grate4 -21 0 0 0.3000000119 0.3000000119 0 0 0
+( 792 757 64 ) ( 792 757 -64 ) ( 792 693 64 ) base_floor/proto_grate4 -21 0 0 0.3000000119 0.3000000119 0 0 0
 ( 449 712 -26 ) ( 521 712 -26 ) ( 449 776 -26 ) base_floor/proto_grate4 -21 0 0 0.3000000119 0.3000000119 0 0 0
 ( 448 712 -64 ) ( 448 712 64 ) ( 520 712 -64 ) base_floor/proto_grate4 -21 0 0 0.3000000119 0.3000000119 0 0 0
@@ -258,8 +258,8 @@
 ( 864 776 -24 ) ( 864 704 -24 ) ( 784 776 -24 ) base_floor/proto_grate4 -6 -6 -90 0.3000000119 0.3000000119 0 0 0
 ( 864 840 -24 ) ( 784 840 -24 ) ( 864 840 -32 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 920 776 -24 ) ( 920 776 -32 ) ( 920 704 -24 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 912 777 -24 ) ( 912 777 -32 ) ( 912 705 -24 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 784 704 -32 ) ( 864 704 -32 ) ( 784 776 -32 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 792 328 -32 ) ( 792 328 -24 ) ( 872 328 -32 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 774 708 -32 ) ( 774 780 -32 ) ( 774 708 -24 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 792 710 -32 ) ( 792 782 -32 ) ( 792 710 -24 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 28
@@ -6081,5 +6081,5 @@
 ( 696 272 129 ) ( 696 56 129 ) ( 616 272 129 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 768 461 129 ) ( 688 461 129 ) ( 768 461 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
-( 824 261 129 ) ( 824 261 121 ) ( 824 45 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 694 263 129 ) ( 694 263 121 ) ( 694 47 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 616 56 121 ) ( 696 56 121 ) ( 616 272 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 580 -304 121 ) ( 580 -304 129 ) ( 660 -304 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
@@ -9081,4 +9081,22 @@
 ( 416 677 110 ) ( 416 788 110 ) ( 416 677 143 ) evil4_d_techwalls/d_drkmtl_dpanelb -0.6666679382 154 0 0.3000000119 0.3000000119 0 0 0
 }
+// brush 965
+{
+( 568 761 121 ) ( 568 650 121 ) ( 395 761 121 ) evil4_d_techwalls/d_drkmtl_dpanelb -0.6666679382 154 0 0.3000000119 0.3000000119 0 0 0
+( 574 712 143 ) ( 401 712 143 ) ( 574 712 110 ) evil4_d_techwalls/d_drkmtl_dpanelb -0.6666679382 154 0 0.3000000119 0.3000000119 0 0 0
+( 920 744.5 143 ) ( 920 744.5 110 ) ( 920 633.5 143 ) evil4_d_techwalls/d_drkmtl_dpanelb -0.6666679382 154 0 0.3000000119 0.3000000119 0 0 0
+( 393 650 110 ) ( 566 650 110 ) ( 393 761 110 ) evil4_d_techwalls/d_drkmtl_dpanelb -0.6666679382 154 0 0.3000000119 0.3000000119 0 0 0
+( 400 328 109 ) ( 400 328 142 ) ( 573 328 109 ) evil4_d_techwalls/d_drkmtl_dpanelb -0.6666679382 154 0 0.3000000119 0.3000000119 0 0 0
+( 784 678 110 ) ( 784 789 110 ) ( 784 678 143 ) evil4_d_techwalls/d_drkmtl_dpanelb -0.6666679382 154 0 0.3000000119 0.3000000119 0 0 0
+}
+// brush 966
+{
+( 903 330 121 ) ( 903 319 121 ) ( 784 330 121 ) evil4_d_techwalls/d_drkmtl_dpanelb 0 0 0 0.5 0.5 0 0 0
+( 905 328 -16 ) ( 786 328 -16 ) ( 905 328 -24 ) evil4_d_techwalls/d_drkmtl_dpanelb 0 0 0 0.5 0.5 0 0 0
+( 920 330 -14 ) ( 920 330 -22 ) ( 920 319 -14 ) evil4_d_techwalls/d_drkmtl_dpanelb 0 0 0 0.5 0.5 0 0 0
+( 785 319 -32 ) ( 904 319 -32 ) ( 785 330 -32 ) evil4_d_techwalls/d_drkmtl_dpanelb 0 0 0 0.5 0.5 0 0 0
+( 785 320 -24 ) ( 785 320 -16 ) ( 904 320 -24 ) evil4_d_techwalls/d_drkmtl_dpanelb 0 0 0 0.5 0.5 0 0 0
+( 784 319 -24 ) ( 784 330 -24 ) ( 784 319 -16 ) evil4_d_techwalls/d_drkmtl_dpanelb 0 0 0 0.5 0.5 0 0 0
+}
 }
 // entity 1