Index: data/trunk/worlds/mountainlake.oxw
===================================================================
--- data/trunk/worlds/mountainlake.oxw	(revision 3938)
+++ data/trunk/worlds/mountainlake.oxw	(revision 3939)
@@ -6,5 +6,4 @@
   <LoadScreen>
     <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
-
     <ElementCount>12</ElementCount>
     <BackgroundPS>0,0,1.01,1</BackgroundPS>
@@ -12,4 +11,5 @@
     <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
+
   <WorldEntities>
     <Hover>
@@ -17,5 +17,50 @@
       <abs-coor>50, 100, 50</abs-coor>
     </Hover>
+    <!--<SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>-->
+    <Terrain>
+      <name>water</name>
+      <model>worlds/sea_ground.obj, 4</model>
+    </Terrain>
 
+    <SpaceShip>
+      <name>Player2</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>50,460,300</abs-coor>
+    </SpaceShip>
+
+    <MappedWater>
+      <waterpos>0,0,-500</waterpos>
+      <watersize>500,500</watersize>
+      <wateruv>6</wateruv>
+      <waterflow>0.04</waterflow>
+      <lightpos>50,460,300</lightpos>
+      <!--<lightpos>50,460,300</lightpos>-->
+      <shinesize>58</shinesize>
+      <shinestrength>0.6</shinestrength>
+      <reflstrength>0.7</reflstrength>
+      <watercolor>0.0, 0.3, 0.4</watercolor>
+      <waterangle>0</waterangle>
+      <refraction>0.009</refraction>
+      <normalmapscale>0.25</normalmapscale>
+    </MappedWater>
+    <MappedWater>
+      <waterpos>-500,40,-500</waterpos>
+      <watersize>500,500</watersize>
+      <wateruv>6</wateruv>
+      <waterflow>0.04</waterflow>
+      <lightpos>50,460,300</lightpos>
+      <!--<lightpos>50,460,300</lightpos>-->
+      <shinesize>58</shinesize>
+      <shinestrength>0.6</shinestrength>
+      <reflstrength>0.7</reflstrength>
+      <watercolor>0.0, 0.3, 0.4</watercolor>
+      <waterangle>0</waterangle>
+      <refraction>0.009</refraction>
+      <normalmapscale>0.25</normalmapscale>
+    </MappedWater>
     <SkyBox>
      <name>Sky</name>
@@ -23,19 +68,4 @@
      <Size>10000</Size>
     </SkyBox>
-    <Terrain>
-      <name>water</name>
-      <model>worlds/sea_ground.obj, 4</model>
-    </Terrain>
-
-    <MappedWater>
-      <waterpos>-500,20,-500</waterpos>
-      <watersize>1000,1000</watersize>
-      <wateruv>9</wateruv>
-      <waterflow>0.08</waterflow>
-      <lightpos>10,15,10</lightpos>
-      <!--<lightPos>500,4850,4650</lightPos>-->
-    </MappedWater>
-
-
 </WorldEntities>
 
@@ -58,3 +88,25 @@
   </LightManager>
 
+	<!--<AtmosphericEngine>
+		<WeatherEffect>
+			<FogEffect>
+			</FogEffect>
+
+			<RainEffect>
+				<option>moverain</option>
+			</RainEffect>
+
+			<SnowEffect>
+			</SnowEffect>
+
+      <LightningEffect>
+			</LightningEffect>
+
+      <CloudEffect>
+        <option>activate</option>
+      </CloudEffect>
+
+		</WeatherEffect>
+	</AtmosphericEngine>-->
+
 </WorldDataFile>
Index: data/trunk/worlds/vulcania.oxw
===================================================================
--- data/trunk/worlds/vulcania.oxw	(revision 3938)
+++ data/trunk/worlds/vulcania.oxw	(revision 3939)
@@ -1,143 +1,70 @@
 <WorldDataFile>
-  <name>Vulcania</name>
-  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
-  <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
+	<name>Vulcania</name>
+	<menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
+	<screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
 
-  <LoadScreen>
-    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
+	<LoadScreen>
+		<BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+		<ElementCount>12</ElementCount>
+		<BackgroundPS>0,0,1.01,1</BackgroundPS>
+		<BarPS>.65,.87,.3,.05</BarPS>
+		<BarImage>pictures/load_screen_bar.png</BarImage>
+	</LoadScreen>
 
-    <ElementCount>12</ElementCount>
-    <BackgroundPS>0,0,1.01,1</BackgroundPS>
-    <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screens/default_bar.png</BarImage>
-  </LoadScreen>
-  <WorldEntities>
-    <Helicopter>
-      <name>Player</name>
-      <abs-coor>50, 100, 50</abs-coor>
-    </Helicopter>
+	<WorldEntities>
+		<TurbineHover>
+			<name>Player</name>
+			<abs-coor>0, 10, 0</abs-coor>
+		</TurbineHover>
 
-    <SkyBox>
-     <name>Sky</name>
-     <Materialset>pictures/sky/desert</Materialset>
-     <Size>10000</Size>
-    </SkyBox>
-    <Terrain>
-      <name>HardCore</name>
-      <model>worlds/vulcania.obj</model>
-      <vegetation>worlds/vulcania_vegetation.obj</vegetation>
-    </Terrain>
+		<Terrain>
+			<name>HardCore</name>
+			<model>worlds/vulcania.obj</model>
+			<vegetation>worlds/vulcania_vegetation.obj</vegetation>
+		</Terrain>
+	</WorldEntities>
 
-    <ModelParticles>
-      <name>VulcanStoneSystem</name>
-      <model>models/vulcanic_stone.obj</model>
-      <life-span>6.0,2</life-span>
-      <radius>0,5,3</radius>
-      <mass>0,.1,0</mass>
-      <precache>5</precache>
-      <emitters>
-        <DotEmitter>
-          <name>VulcanStoneEmitter</name>
-          <emission-velocity>700,400</emission-velocity>
-          <rate>20</rate>
-          <type>cube</type>
-          <size>40</size>;
-          <rel-dir>1.51, 0,0,1</rel-dir>
-          <rel-coor>2460,105,606</rel-coor>
-          <spread>1,.5</spread>
-        </DotEmitter>
-      </emitters>
-    </ModelParticles>
+	<LightManager>
+		<ambient-color>1,1,1</ambient-color>
+		<Lights>
+			<Light>
+				<diffuse-color>1,1,1</diffuse-color>
+				<abs-coor>100,100,50</abs-coor>
+			</Light>
+			<Light>
+				<diffuse-color>1,1,1</diffuse-color>
+				<abs-coor>-100,0,100</abs-coor>
+			</Light>
+			<Light>
+				<diffuse-color>1,1,1</diffuse-color>
+				<abs-coor>-100,2000,50</abs-coor>
+			</Light>
+		</Lights>
+	</LightManager>
 
-    <SpriteParticles>
-     <name>VulcanFogSystem</name>
-     <max-count>2000</max-count>
-     <life-span>10,2</life-span>
-     <radius>0.0,20.0,10.0</radius>
-     <radius>0.2,50,30</radius>
-     <radius>1,200,100</radius>
-     <mass>0,1.0,.3</mass>
-     <color>0, 1, 1, 1, .5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1.0, .0, .0, .0, .0</color>
-     <precache>5</precache>
-     <emitters>
-       <DotEmitter>
-        <name>VulcanFogEmitter</name>
-        <rel-dir>1.51, 0,0,1</rel-dir>
-        <type>cube</type>
-        <spread>.5,.3</spread>
-        <emission-velocity>150,50</emission-velocity>
-        <size>40</size>
-        <rate>150</rate>
-        <rel-coor>2460,105,606</rel-coor>
-       </DotEmitter>
-     </emitters>
-   </SpriteParticles>
+	<!-- <Music>sound/music/estorm.ogg</Music> -->
 
-   <SparkParticles>
-     <name>VulcanSparkSystem</name>
-     <max-count>5000</max-count>
-     <life-span>5,2</life-span>
-     <radius>0,.2,.1</radius>
-     <radius>1,0,0</radius>
-     <mass>0,1,.05</mass>
-     <color>0,1,0,0,.3</color>
-     <color>.5,1,1,0,.2</color>
-     <color>1,.0,.0,.0,.0</color>
-     <precache>5</precache>
-     <emitters>
-       <DotEmitter>
-        <name>VulcanSparkEmitter</name>
-        <rel-dir>1.51, 0,0,1</rel-dir>
-        <type>cube</type>
-        <spread>.5,.3</spread>
-        <emission-velocity>150,50</emission-velocity>
-        <size>40</size>
-        <rate>400</rate>
-        <rel-coor>2460,105,606</rel-coor>
-       </DotEmitter>
-    </emitters>
-  </SparkParticles>
+	<AtmosphericEngine>
+		<WeatherEffect>
 
-</WorldEntities>
+			<FogEffect>
+			</FogEffect>
 
-  <LightManager>
-    <ambient-color>1,1,1</ambient-color>
-    <Lights>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>100,100,50</abs-coor>
-      </Light>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,0,100</abs-coor>
-      </Light>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,2000,50</abs-coor>
-      </Light>
-    </Lights>
-  </LightManager>
+			<RainEffect>
+				<option>moverain</option>
+			</RainEffect>
 
+			<SnowEffect>
+			</SnowEffect>
 
-  <PhysicsEngine>
-   <Fields>
-    <Gravity>
-     <name>gravity</name>
-     <magnitude>100</magnitude>
-    </Gravity>
-   </Fields>
-   <Connections>
-    <PhysicsConnection>
-     <subject>VulcanStoneSystem</subject>
-     <field>gravity</field>
-    </PhysicsConnection>
-    <PhysicsConnection>
-     <subject>VulcanSparkSystem</subject>
-     <field>gravity</field>
-    </PhysicsConnection>
-   </Connections>
-  </PhysicsEngine>
+      <LightningEffect>
+			</LightningEffect>
+
+			<CloudEffect>
+        <option>activate</option>
+			</CloudEffect>
+
+		</WeatherEffect>
+	</AtmosphericEngine>
 
 </WorldDataFile>