Index: data/branches/single_player_map/scripts/falldown.lua
===================================================================
--- data/branches/single_player_map/scripts/falldown.lua	(revision 3937)
+++ data/branches/single_player_map/scripts/falldown.lua	(revision 3945)
@@ -9,5 +9,5 @@
 math.randomseed(os.clock())
 randinit = true
-randTime = 5 * math.random()
+randTime = 10 * math.random()
 end
 end
@@ -21,5 +21,5 @@
 
 function tick(timestep)
-io.write("Falldown called \n")
+
 RandTime()
 
@@ -27,4 +27,5 @@
 randTime = randTime - timestep
 else
+io.write("Falldown called \n")
 fallDown(timestep)
 end
Index: data/branches/single_player_map/scripts/guard.lua
===================================================================
--- data/branches/single_player_map/scripts/guard.lua	(revision 3945)
+++ data/branches/single_player_map/scripts/guard.lua	(revision 3945)
@@ -0,0 +1,60 @@
+-- Global Variables
+walkingRouteOne = false   -- True if thestranger is walking route one
+exitPositionReached = false
+playerInLock = false
+hangarReached = false
+
+
+function stopWalkRouteOne(timestep)
+walkRouteOne = false
+return true
+end
+
+function playerReachedLock(timestep)
+playerInLock = true
+return true
+end
+
+function walkRouteOne(timestep)
+
+
+end
+
+function goToExitPosition(timestep)
+
+return false
+end
+
+
+function goToHangar(timestep)
+
+return false
+end
+
+
+function waveToSpaceship(timestep)
+
+end
+
+
+function tick(timestep)
+
+if walkingRouteOne then
+waklRouteOne(timestep)
+end
+
+if not walkingRouteOne and not exitPositionReached then
+exitPositionReached = goToExitPosition(timestep)
+end
+
+if playerInLock and exitPositionReached then
+hangarReached = goToHangar(timestep)
+end
+
+if hangarReached then
+waveToSpaceship(timestep)
+end
+
+return false
+end
+ 
Index: data/branches/single_player_map/scripts/prisoner.lua
===================================================================
--- data/branches/single_player_map/scripts/prisoner.lua	(revision 3945)
+++ data/branches/single_player_map/scripts/prisoner.lua	(revision 3945)
@@ -0,0 +1,76 @@
+cellDoorOpend = false
+exitReached = false
+hangarReached = false
+spaceShipReached = false
+spaceShipEntered = false
+
+
+function setCellDoor(timestep)
+cellDoorOpened = true
+return true
+end
+
+
+function walkInCell(timestep)
+
+end
+
+
+
+function goToExit(timestep)
+-- do not forget to make him wait untill the player triggeres the trip to the hangar
+
+return false
+end
+
+
+function goToHangar(timestep)
+
+
+return false
+
+end
+
+
+function goToSpaceship(timestep)
+
+return false
+
+end
+
+
+function enterSpaceship(timestep)
+
+return false
+end
+
+
+
+function tick(timestep)
+
+if not cellDoorOpend then
+walkInCell(timestep)
+end
+
+if cellDoorOpened and not exitReached then
+exitReached = goToExit(timestep)
+end
+
+if exitReached and not hangarReached then
+hangarReached = goToHangar(timestep)
+end
+
+if hangarReached and not spaceShipReached then 
+spaceShipReached = goToSpaceship(timestep)
+end
+
+if spaceShipReached and not spaceShipEntered then
+spaceShipEntered = enterSpaceship(timestep)
+end
+
+if spaceShipEntered then
+return true
+end
+
+return false
+end
Index: data/branches/single_player_map/scripts/secondguard.lua
===================================================================
--- data/branches/single_player_map/scripts/secondguard.lua	(revision 3945)
+++ data/branches/single_player_map/scripts/secondguard.lua	(revision 3945)
@@ -0,0 +1,53 @@
+-- Global Variables
+allOk = true
+standing = false
+guidePositionReached = false
+prisonerReachedLock = false
+hangarReached = false
+
+function alert(timestep)
+allOk = false
+return true
+end
+
+function prisonerInLock(timestep)
+
+return true
+end
+
+function standUp(timestep)
+
+return false
+end
+
+function goToGuidePosition(timestep)
+
+return false
+end
+
+function goToHangar(timestep)
+
+return false
+end
+
+function tick(timestep)
+
+if not allOk then
+standing = standUp(timestep)
+end
+
+if standing and not guidePositionReached then
+guidePositionReached = goToGuidePosition(timestep)
+end
+
+
+if guidePositionReached and prisonerReachedLock then
+hangarReached = goToHangar(timestep)
+end
+
+if hangarReached then
+return true
+end
+
+return false
+end