Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 3967)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 3968)
@@ -265,7 +265,7 @@
 // brush 28
 {
-( 752 720 64 ) ( 752 712 64 ) ( 528 720 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 751 720 110 ) ( 751 712 110 ) ( 527 720 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 744 720 -24 ) ( 520 720 -24 ) ( 744 720 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 752 720 -24 ) ( 752 720 -32 ) ( 752 712 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 751 720 22 ) ( 751 720 14 ) ( 751 712 22 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 520 712 -32 ) ( 744 712 -32 ) ( 520 720 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 520 712 -32 ) ( 520 712 -24 ) ( 744 712 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -274,19 +274,19 @@
 // brush 29
 {
-( 792 712 64 ) ( 792 568 64 ) ( 784 712 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 791 712 110 ) ( 791 568 110 ) ( 783 712 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 792 680 64 ) ( 784 680 64 ) ( 792 680 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 792 424 64 ) ( 792 424 -32 ) ( 792 280 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 784 568 -32 ) ( 792 568 -32 ) ( 784 712 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 784 568 -24 ) ( 792 568 -24 ) ( 784 712 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 784 328 -32 ) ( 784 328 64 ) ( 792 328 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 784 568 -32 ) ( 784 712 -32 ) ( 784 568 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 783 568 14 ) ( 783 712 14 ) ( 783 568 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 30
 {
-( 920 624 64 ) ( 920 328 64 ) ( 912 624 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 920 624 110 ) ( 920 328 110 ) ( 912 624 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 928 832 64 ) ( 920 832 64 ) ( 928 832 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 920 640 64 ) ( 920 640 -32 ) ( 920 344 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 912 328 -32 ) ( 920 328 -32 ) ( 912 624 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 920 641 64 ) ( 920 641 -32 ) ( 920 345 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 911 328 -24 ) ( 919 328 -24 ) ( 911 624 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 912 328 -32 ) ( 912 328 64 ) ( 920 328 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 912 328 -32 ) ( 912 624 -32 ) ( 912 328 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 912 328 14 ) ( 912 624 14 ) ( 912 328 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 31
@@ -294,7 +294,7 @@
 ( 856 840 64 ) ( 856 832 64 ) ( 800 840 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 856 884 64 ) ( 800 884 64 ) ( 856 884 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 920 840 64 ) ( 920 840 -32 ) ( 920 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 920 841 64 ) ( 920 841 -32 ) ( 920 833 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 800 832 -24 ) ( 856 832 -24 ) ( 800 840 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 784 832 -32 ) ( 784 832 64 ) ( 840 832 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 766 832 -32 ) ( 766 832 64 ) ( 822 832 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 530 832 -32 ) ( 530 840 -32 ) ( 530 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
@@ -601,10 +601,10 @@
 // brush 65
 {
-( 784 714 64 ) ( 784 690 64 ) ( 762 714 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 783 714 110 ) ( 783 690 110 ) ( 761 714 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 784 720 64 ) ( 762 720 64 ) ( 784 720 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 792 716 64 ) ( 792 716 -32 ) ( 792 692 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 762 690 -32 ) ( 784 690 -32 ) ( 762 714 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 764 680 -32 ) ( 764 680 64 ) ( 786 680 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 752 688 -32 ) ( 752 712 -32 ) ( 752 688 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 751 688 14 ) ( 751 712 14 ) ( 751 688 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 760 720 -64 ) ( 792 712 -64 ) ( 760 720 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 784 720 -64 ) ( 792 688 -64 ) ( 784 720 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -673,7 +673,7 @@
 // brush 71
 {
-( 912 832 64 ) ( 912 792 64 ) ( 872 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 912 832 110 ) ( 912 792 110 ) ( 872 832 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 912 832 64 ) ( 872 832 64 ) ( 912 832 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 912 832 64 ) ( 912 832 -24 ) ( 912 792 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 912 832 110 ) ( 912 832 22 ) ( 912 792 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 872 792 -24 ) ( 912 792 -24 ) ( 872 832 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 912 824 -64 ) ( 880 832 -64 ) ( 912 824 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -681,19 +681,19 @@
 // brush 72
 {
-( 912 792 64 ) ( 872 832 64 ) ( 912 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 912 832 -24 ) ( 912 792 64 ) ( 912 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 912 792 110 ) ( 872 832 110 ) ( 912 832 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 912 832 22 ) ( 912 792 110 ) ( 912 832 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 872 832 64 ) ( 912 832 -24 ) ( 912 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 912 792 -24 ) ( 872 832 -24 ) ( 872 792 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 904 832 64 ) ( 912 800 -64 ) ( 904 832 -64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 904 832 110 ) ( 912 800 -18 ) ( 904 832 -18 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 73
 {
-( 912 832 64 ) ( 912 816 64 ) ( 896 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 912 832 110 ) ( 912 816 110 ) ( 896 832 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 912 832 64 ) ( 896 832 64 ) ( 912 832 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 912 832 64 ) ( 912 832 -24 ) ( 912 816 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 912 832 110 ) ( 912 832 22 ) ( 912 816 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 896 816 -24 ) ( 912 816 -24 ) ( 896 832 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 896 816 -24 ) ( 896 816 64 ) ( 912 816 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 896 816 -24 ) ( 896 832 -24 ) ( 896 816 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 908 816 -64 ) ( 896 828 -64 ) ( 908 816 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 896 816 22 ) ( 896 832 22 ) ( 896 816 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 908 816 -18 ) ( 896 828 -18 ) ( 908 816 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 74
@@ -918,5 +918,5 @@
 ( 318 834 -22 ) ( 318 826 -22 ) ( 258 834 -22 ) base_floor/clang_floor3bstairtop 0 -9 0 0.5 0.3000000119 0 0 0
 ( 312 832 44 ) ( 252 832 44 ) ( 312 832 -24 ) base_floor/clang_floor3bstairtop 0 -9 0 0.5 0.3000000119 0 0 0
-( 904 834 44 ) ( 904 834 -24 ) ( 904 826 44 ) base_floor/clang_floor3bstairtop 0 -9 0 0.5 0.3000000119 0 0 0
+( 912 834 44 ) ( 912 834 -24 ) ( 912 826 44 ) base_floor/clang_floor3bstairtop 0 -9 0 0.5 0.3000000119 0 0 0
 ( 252 826 -24 ) ( 312 826 -24 ) ( 252 834 -24 ) base_floor/clang_floor3bstairtop 0 -9 0 0.5 0.3000000119 0 0 0
 ( 84 826 -24 ) ( 84 826 44 ) ( 144 826 -24 ) base_floor/clang_floor3bstairtop 0 -9 0 0.5 0.3000000119 0 0 0
@@ -1313,6 +1313,6 @@
 {
 ( -900 800 -155.5 ) ( -900 584 -155.5 ) ( -1044 800 -155.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -900 832 -158.5 ) ( -1044 832 -158.5 ) ( -900 832 -166.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 937.5 755.5 -157.5 ) ( 937.5 755.5 -165.5 ) ( 937.5 539.5 -157.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -900 840 -158.5 ) ( -1044 840 -158.5 ) ( -900 840 -166.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 920 755.5 -157.5 ) ( 920 755.5 -165.5 ) ( 920 539.5 -157.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1044 470.5 -162.5 ) ( -900 470.5 -162.5 ) ( -1044 686.5 -162.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1068 -192.5 -162.5 ) ( -1068 -192.5 -154.5 ) ( -924 -192.5 -162.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -2783,10 +2783,10 @@
 // brush 293
 {
-( 404 843 110 ) ( 404 832 110 ) ( -180 843 110 ) base_wall/basewall04 -0.6666667461 2 0 0.3000000119 0.3000000119 0 0 0
+( 404 842 110 ) ( 404 831 110 ) ( -180 842 110 ) base_wall/basewall04 -0.6666667461 2 0 0.3000000119 0.3000000119 0 0 0
 ( 403 884 89 ) ( -181 884 89 ) ( 403 884 64 ) base_wall/basewall04 -4 2 0 0.3000000119 0.3000000119 0 0 0
-( 920 846 89 ) ( 920 846 64 ) ( 920 835 89 ) base_wall/basewall04 -4 2 0 0.3000000119 0.3000000119 0 0 0
-( -179 832 64 ) ( 405 832 64 ) ( -179 843 64 ) base_wall/basewall04 -4 2 0 0.3000000119 0.3000000119 0 0 0
-( -179 832 64 ) ( -179 832 89 ) ( 405 832 64 ) base_wall/basewall04 -4 2 0 0.3000000119 0.3000000119 0 0 0
-( -376 828 64 ) ( -376 839 64 ) ( -376 828 89 ) base_wall/basewall04 9.3333330154 2 0 0.3000000119 0.3000000119 0 0 0
+( 920 847 89 ) ( 920 847 64 ) ( 920 836 89 ) base_wall/basewall04 -4 2 0 0.3000000119 0.3000000119 0 0 0
+( -179 831 64 ) ( 405 831 64 ) ( -179 842 64 ) base_wall/basewall04 -4 2 0 0.3000000119 0.3000000119 0 0 0
+( -197 832 64 ) ( -197 832 89 ) ( 387 832 64 ) base_wall/basewall04 -4 2 0 0.3000000119 0.3000000119 0 0 0
+( -376 827 64 ) ( -376 838 64 ) ( -376 827 89 ) base_wall/basewall04 9.3333330154 2 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 294
@@ -3226,5 +3226,5 @@
 ( 410 832 121 ) ( 410 721 121 ) ( 237 832 121 ) base_wall/basewall04 -0.6666679382 -254 0 0.3000000119 0.3000000119 0 0 0
 ( 408 884 143 ) ( 235 884 143 ) ( 408 884 110 ) base_wall/basewall04 -0.6666679382 72 0 0.3000000119 0.3000000119 0 0 0
-( 448 829.5 143 ) ( 448 829.5 110 ) ( 448 718.5 143 ) base_wall/basewall04 124 72 0 0.3000000119 0.3000000119 0 0 0
+( 920 830.5 143 ) ( 920 830.5 110 ) ( 920 719.5 143 ) base_wall/basewall04 124 72 0 0.3000000119 0.3000000119 0 0 0
 ( 235 721 110 ) ( 408 721 110 ) ( 235 832 110 ) base_wall/basewall04 -0.6666679382 -254 0 0.3000000119 0.3000000119 0 0 0
 ( 235 709 109 ) ( 235 709 142 ) ( 408 709 109 ) base_wall/basewall04 -0.6666679382 72 0 0.3000000119 0.3000000119 0 0 0
@@ -5002,6 +5002,6 @@
 {
 ( -18 839.5 -32 ) ( -18 832.5 -32 ) ( -376 839.5 -32 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
-( -18 839.5 -32 ) ( -376 839.5 -32 ) ( -18 839.5 -73 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
-( 916.5 839.5 -56 ) ( 916.5 839.5 -97 ) ( 916.5 832.5 -56 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -18 840 -32 ) ( -376 840 -32 ) ( -18 840 -73 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 920 839 -56 ) ( 920 839 -97 ) ( 920 832 -56 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
 ( -376 832 -162.5 ) ( -18 832 -162.5 ) ( -376 839 -162.5 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
 ( -376 832 -73 ) ( -376 832 -32 ) ( -18 832 -73 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
@@ -8106,4 +8106,22 @@
 ( 713 -443 233 ) ( 713 -643 233 ) ( 713 -443 321 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
+// brush 857
+{
+( 896 870.5 121 ) ( 896 621 121 ) ( 764 870.5 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 898 709 121 ) ( 766 709 121 ) ( 898 709 110 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 920 872.5 121 ) ( 920 872.5 110 ) ( 920 623 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 762 621 110 ) ( 894 621 110 ) ( 762 870.5 110 ) base_wall/basewall04 -90 13 0 0.3000000119 0.3000000119 0 0 0
+( 793.5 328 110 ) ( 793.5 328 121 ) ( 925.5 328 110 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 751 616.5 110 ) ( 751 866 110 ) ( 751 616.5 121 ) base_wall/basewall04 47 13 -90 0.3000000119 0.3000000119 0 0 0
+}
+// brush 858
+{
+( 905 633 121 ) ( 905 489 121 ) ( 897 633 121 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 847 328 64 ) ( 839 328 64 ) ( 847 328 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 920 346 64 ) ( 920 346 -32 ) ( 920 202 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 900 489 -32 ) ( 908 489 -32 ) ( 900 633 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 906 320 -32 ) ( 906 320 64 ) ( 914 320 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 774 490 14 ) ( 774 634 14 ) ( 774 490 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
 }
 // entity 1