Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 3973)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 3974)
@@ -506,22 +506,22 @@
 {
 ( -1608 840 -24 ) ( -1608 624 -24 ) ( -1872 840 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1592 472 56 ) ( -1856 472 56 ) ( -1592 472 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1623 884 56 ) ( -1887 884 56 ) ( -1623 884 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1616 840 56 ) ( -1616 840 -32 ) ( -1616 624 56 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1880 624 -32 ) ( -1616 624 -32 ) ( -1880 840 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1864 -144 -32 ) ( -1864 -144 56 ) ( -1600 -144 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -2280 600 -32 ) ( -2280 816 -32 ) ( -2280 600 56 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -2048 627 -32 ) ( -2048 843 -32 ) ( -2048 627 56 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 56
 {
-( -1616 88 64 ) ( -1616 80 64 ) ( -1712 88 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1616 88 150 ) ( -1616 80 150 ) ( -1712 88 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1616 88 64 ) ( -1712 88 64 ) ( -1616 88 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1648 88 64 ) ( -1648 88 -24 ) ( -1648 80 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1712 80 -24 ) ( -1616 80 -24 ) ( -1712 88 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1744 80 -24 ) ( -1744 80 64 ) ( -1648 80 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1680 80 -24 ) ( -1680 88 -24 ) ( -1680 80 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1680 80 62 ) ( -1680 88 62 ) ( -1680 80 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 57
 {
-( -1616 -56 110 ) ( -1616 -64 110 ) ( -1696 -56 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1620 -56 150 ) ( -1620 -64 150 ) ( -1700 -56 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1616 -56 64 ) ( -1696 -56 64 ) ( -1616 -56 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1648 -56 110 ) ( -1648 -56 22 ) ( -1648 -64 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -532,46 +532,46 @@
 // brush 58
 {
-( -1712 -56 64 ) ( -1712 -144 64 ) ( -1720 -56 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -1712 -56 150 ) ( -1712 -144 150 ) ( -1720 -56 150 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( -1712 -96 64 ) ( -1720 -96 64 ) ( -1712 -96 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -1712 -56 64 ) ( -1712 -56 -24 ) ( -1712 -144 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -1712 -56 150 ) ( -1712 -56 62 ) ( -1712 -144 150 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( -1720 -144 -24 ) ( -1712 -144 -24 ) ( -1720 -56 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( -1720 -144 -24 ) ( -1720 -144 64 ) ( -1712 -144 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -1720 -144 -24 ) ( -1720 -56 -24 ) ( -1720 -144 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -1720 -144 62 ) ( -1720 -56 62 ) ( -1720 -144 150 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 }
 // brush 59
 {
-( -1712 128 64 ) ( -1712 80 64 ) ( -1720 128 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1712 472 64 ) ( -1720 472 64 ) ( -1712 472 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1712 472 64 ) ( -1712 472 -24 ) ( -1712 424 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1712 128 150 ) ( -1712 80 150 ) ( -1720 128 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1722 884 64 ) ( -1730 884 64 ) ( -1722 884 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1712 475 150 ) ( -1712 475 62 ) ( -1712 427 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1720 80 -24 ) ( -1712 80 -24 ) ( -1720 128 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1720 120 -24 ) ( -1720 120 64 ) ( -1712 120 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1720 80 -24 ) ( -1720 128 -24 ) ( -1720 80 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1720 80 62 ) ( -1720 128 62 ) ( -1720 80 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 60
 {
-( -1720 472 64 ) ( -1720 464 64 ) ( -1960 472 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1720 472 64 ) ( -1960 472 64 ) ( -1720 472 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1720 472 64 ) ( -1720 472 -24 ) ( -1720 464 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1960 464 -24 ) ( -1720 464 -24 ) ( -1960 472 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1960 464 -24 ) ( -1960 464 64 ) ( -1720 464 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -2280 464 -24 ) ( -2280 472 -24 ) ( -2280 464 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1720 884 150 ) ( -1720 876 150 ) ( -1960 884 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1720 884 64 ) ( -1960 884 64 ) ( -1720 884 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1720 884 150 ) ( -1720 884 62 ) ( -1720 876 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1960 876 -24 ) ( -1720 876 -24 ) ( -1960 884 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1960 876 -24 ) ( -1960 876 64 ) ( -1720 876 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2040 873 62 ) ( -2040 881 62 ) ( -2040 873 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 61
 {
-( -2272 464 64 ) ( -2272 408 64 ) ( -2280 464 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -2272 464 64 ) ( -2280 464 64 ) ( -2272 464 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -2272 464 64 ) ( -2272 464 -24 ) ( -2272 408 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -2280 408 -24 ) ( -2272 408 -24 ) ( -2280 464 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -2272 -144 -24 ) ( -2272 -144 64 ) ( -2264 -144 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -2280 408 -24 ) ( -2280 464 -24 ) ( -2280 408 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2040 464 150 ) ( -2040 408 150 ) ( -2048 464 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2038 884 64 ) ( -2046 884 64 ) ( -2038 884 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2040 464 150 ) ( -2040 464 62 ) ( -2040 408 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2048 408 -24 ) ( -2040 408 -24 ) ( -2048 464 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2040 -144 -24 ) ( -2040 -144 64 ) ( -2032 -144 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2048 408 -24 ) ( -2048 464 -24 ) ( -2048 408 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 62
 {
-( -2112 -136 64 ) ( -2112 -144 64 ) ( -2272 -136 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2112 -136 150 ) ( -2112 -144 150 ) ( -2272 -136 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -2112 -136 64 ) ( -2272 -136 64 ) ( -2112 -136 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1720 -136 64 ) ( -1720 -136 -24 ) ( -1720 -144 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1720 -136 150 ) ( -1720 -136 62 ) ( -1720 -144 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -2272 -144 -24 ) ( -2112 -144 -24 ) ( -2272 -136 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -2272 -144 -24 ) ( -2272 -144 64 ) ( -2112 -144 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -2272 -144 -24 ) ( -2272 -136 -24 ) ( -2272 -144 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2040 -145 62 ) ( -2040 -137 62 ) ( -2040 -145 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 63
@@ -649,9 +649,9 @@
 // brush 69
 {
-( -1714 110 64 ) ( -1690 88 64 ) ( -1714 88 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1720 88 -32 ) ( -1720 110 64 ) ( -1720 88 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1714 110 150 ) ( -1690 88 150 ) ( -1714 88 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1720 88 54 ) ( -1720 110 150 ) ( -1720 88 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1692 80 64 ) ( -1716 80 -32 ) ( -1716 80 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1714 110 -32 ) ( -1690 88 -32 ) ( -1690 110 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1680 86 -32 ) ( -1680 108 64 ) ( -1680 108 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1680 86 54 ) ( -1680 108 150 ) ( -1680 108 54 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1688 120 64 ) ( -1712 120 -32 ) ( -1688 120 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1720 112 64 ) ( -1712 80 -64 ) ( -1720 112 -64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -661,10 +661,10 @@
 // brush 70
 {
-( -1690 -62 64 ) ( -1712 -86 64 ) ( -1712 -62 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1690 -62 150 ) ( -1712 -86 150 ) ( -1712 -62 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1712 -56 -32 ) ( -1690 -56 64 ) ( -1712 -56 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1720 -84 64 ) ( -1720 -60 -32 ) ( -1720 -60 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1720 -84 150 ) ( -1720 -60 54 ) ( -1720 -60 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1690 -62 -32 ) ( -1712 -86 -32 ) ( -1690 -86 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1714 -96 -32 ) ( -1692 -96 64 ) ( -1692 -96 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1680 -88 64 ) ( -1680 -64 -32 ) ( -1680 -88 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1680 -88 150 ) ( -1680 -64 54 ) ( -1680 -88 54 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1688 -56 64 ) ( -1720 -64 -64 ) ( -1688 -56 -64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1712 -56 64 ) ( -1720 -88 -64 ) ( -1712 -56 -64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -8140,5 +8140,5 @@
 ( -1581 341 110 ) ( -1408 341 110 ) ( -1581 452 110 ) base_wall/basewall04 -0.6666679382 -254 0 0.3000000119 0.3000000119 0 0 0
 ( -1595 -144 109 ) ( -1595 -144 142 ) ( -1422 -144 109 ) base_wall/basewall04 -0.6666679382 72 0 0.3000000119 0.3000000119 0 0 0
-( -1616 374 110 ) ( -1616 485 110 ) ( -1616 374 143 ) base_wall/basewall04 94.0000152588 72 0 0.3000000119 0.3000000119 0 0 0
+( -1648 372 110 ) ( -1648 483 110 ) ( -1648 372 143 ) base_wall/basewall04 94.0000152588 72 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 861
@@ -8976,4 +8976,22 @@
 ( -1032 525 432 ) ( -1032 741 432 ) ( -1032 525 440 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
+// brush 955
+{
+( -1588 -29 150 ) ( -1588 -37 150 ) ( -1668 -29 150 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1579 120 64 ) ( -1659 120 64 ) ( -1579 120 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1616 -29 110 ) ( -1616 -29 22 ) ( -1616 -37 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1670 -37 121 ) ( -1590 -37 121 ) ( -1670 -29 121 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1659 -96 -24 ) ( -1659 -96 64 ) ( -1579 -96 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1648 -37 -24 ) ( -1648 -29 -24 ) ( -1648 -37 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 956
+{
+( -1608 840 158 ) ( -1608 624 158 ) ( -1872 840 158 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1623 884 238 ) ( -1887 884 238 ) ( -1623 884 150 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1616 840 239 ) ( -1616 840 151 ) ( -1616 624 239 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1880 624 150 ) ( -1616 624 150 ) ( -1880 840 150 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1864 -144 150 ) ( -1864 -144 238 ) ( -1600 -144 150 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -2048 627 150 ) ( -2048 843 150 ) ( -2048 627 238 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+}
 }
 // entity 1